<?PHP
// +----------------------------------------------------------------------------+
// | <G a n e s h a> - Free Web Based Training System                           |
// +----------------------------------------------------------------------------+
// | <G a n e s h a> - Plate-forme de téléformation gratuite et en open source  |
// +----------------------------------------------------------------------------|
// | Copyright (C) 2001-2003  Anéma Formation  <http://www.anema.fr/>           |
// +----------------------------------------------------------------------------+
// |           Developer : Georges CALDEIRA <gcaldeira@anemalab.org>            |
// +----------------------------------------------------------------------------+
// |              Infos on project <http://anemalab.org/>                       |
// +----------------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify       |
// | it under the terms of the GNU General Public License as published by       |
// | the Free Software Foundation; either version 2 of the License, or          |
// | (at your option) any later version.                                        |
// |                                                                            |
// | This program is distributed in the hope that it will be useful,            |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of             |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              |
// | GNU General Public License for more details.                               |
// |                                                                            |
// | You should have received a copy of the GNU General Public License          |
// | along with this program; if not, write to the Free Software                |
// | Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA   |
// +----------------------------------------------------------------------------+

///////////////////////////////////////////////////////
/////
///// Auteur = G. CALDEIRA, 23.09.03
/////
///// Desc. : Gestion des defines
/////
///////////////////////////////////////////////////////

	// Gestion dynamique de l'extension des fichiers
	$ext = '.php' ; 

	// Email utilise pour l'envoie de message a tout le groupe
	define('EMAIL_GROUPE',	'<ganesha@anemalab.org>');
	
	// Chemin d'installation de la plate forme
	define('RP_ADMIN',	 RP_GANESHA.'admin/')	 	;
	define('RP_UPDATE',	 RP_ADMIN.'update/')	 	;
	define('RP_SKIN',	 RP_GANESHA.'skin/')	 	;
	define('RP_PHPLIB',  RP_GANESHA.'phplib/')		;
	define('RP_JPGRAPH', RP_GANESHA.'jpgraph/')		;
	define('RP_GROUPES', RP_MAIN.'groupes/')		;
	define('RP_UPLOAD_TUTEUR',RP_MAIN.'upload_tuteur/');
	define('RP_FORMATION',    RP_MAIN.'formation/') ;
	define('RP_CV',      RP_MAIN.'cv/')          	;
	define('RP_BNO',     RP_MAIN.'bno/')          	; // Modif BNO 
	define('RP_DEBUG',   RP_MAIN.'debug/')        	; 

	// Gestion des repertoires http
	define('HTTP_CV'         , HTTP_MAIN.'cv/')			;
	define('HTTP_FORMATION'  , HTTP_MAIN.'formation/')	;
	define('HTTP_GROUPE'     , HTTP_MAIN.'groupes/')	;
	define('HTTP_CHAT'       , HTTP_MAIN.'chat/')		;
	define('HTTP_DEBUG'      , HTTP_MAIN.'debug/')      ;  
	define('HTTP_COM'        , HTTP_MAIN.'com/')		;
	define('HTTP_SKIN'       , HTTP_GANESHA.'skin/')	;
	define('HTTP_IMAGES'     , HTTP_GANESHA.'images/')	;
	define('HTTP_STAGIAIRE'  , HTTP_GANESHA.'stagiaire/');
	define('HTTP_TUTEUR'     , HTTP_GANESHA.'tuteur/')	;
	define('HTTP_AUTEUR'     , HTTP_GANESHA.'auteur/')	;
	define('HTTP_ADMIN'      , HTTP_GANESHA.'admin/')	;
	define('HTTP_UPDATE'     , HTTP_ADMIN.'update/')	;	
	define('HTTP_COMMUN'     , HTTP_GANESHA.'commun/')	;
	define('HTTP_BDD'        , HTTP_GANESHA.'bdd/')		;
	define('HTTP_AIDE'       , HTTP_GANESHA.'aide/')	;
	define('HTTP_SCRIPT'   	 , HTTP_GANESHA.'script/')  ; 	
	define('HTTP_UPLOAD_TUTEUR',HTTP_GANESHA.'upload_tuteur/') ; 	
	define('HTTP_BNO'        , HTTP_MAIN.'bno/')        ; // Modif BNO
	define('HTTP_HTMLAREA'   , HTTP_BNO.'htmlarea/')    ; // Modif BNO 

	define('HTTP_PHPMYADMIN' , 'http://georges/appli/phpmyadmin/index.php')   ;  // Modification manuelle !!!!
	
	//define('HTTP_INSCRIPTION' , HTTP_ADMIN.'insc/')   ; 
	
	// Gestion des repertoires de Phorum : 
	define('HTTP_FORUM',  HTTP_MAIN.'phorum/');
	$forum_url   = HTTP_MAIN.'phorum/'       ;
	$admin_url   = HTTP_MAIN.'phorum/admin/' ;

 	define('TRACE_FILE',	'trace_ganesha.txt');
	define('DEBUG_FILE',	'debug_ganesha.txt');
	define('AICC_RES_FILE',	'aicc_res.txt')	;
	define('AICC_MSG_FILE',	'aicc_msg.txt')	;
	define('AICC_GFILE' 	,HTTP_COMMUN.'gaicc.php')   ; 
	define('SCORM_GFILE' 	,HTTP_COMMUN.'gscorm.php')  ; 

	define('RP_TRACE_FILE',		RP_DEBUG.TRACE_FILE)	;
	define('RP_DEBUG_FILE',		RP_DEBUG.DEBUG_FILE)	;
	define('RP_AICC_RES_FILE',	RP_DEBUG.AICC_RES_FILE)	;
	define('RP_AICC_MSG_FILE',	RP_DEBUG.AICC_MSG_FILE)	;

	// Gestion dynamique du nom des tables de la bdd 
	$TBL['list_societe'] = 'list_societe' ;
	$TBL['list_groupe']  = 'list_groupe'  ;
	$TBL['groupe']       = 'groupe'       ;
	$TBL['list_module']  = 'list_module'  ;
	$TBL['module']       = 'module'       ;	
	$TBL['connexion']    = 'connexion'    ;
	$TBL['type_membres'] = 'type_membres' ;
	$TBL['membres']      = 'membres'      ;
	$TBL['formation']    = 'formation'    ;
	$TBL['tracking']     = 'tracking'     ;
	$TBL['gtracking']    = 'gtracking'    ;
	$TBL['mes_send']     = 'mes_send'     ;
	$TBL['mes_rec']      = 'mes_rec'      ;
	$TBL['mes_doc']      = 'mes_doc'      ;
	$TBL['document']     = 'document'     ;
	$TBL['stat_cnx']     = 'stat_connexion';
	$TBL['news']         = 'news'         ;
	$TBL['bno']          = 'bno'          ; // Modif BNO 

	$TBL['evalanxdesc']     = 'evalanxdesc'		; // Modif SG_EVALX
	$TBL['evalannexes']     = 'evalannexes'		; // Modif SG_EVALX
	$TBL['session_evalanx'] = 'session_evalanx'	; // Modif SG_EVALX
	$TBL['session_groupe']  = 'session_groupe'	; // Modif SG_EVALX
	$TBL['inscription']  	= 'inscription' 	; 
	$TBL['options']  		= 'options' 		;
	$TBL['options2']  		= 'options2' 		;

	// Tables dynamiques : Doit etre en derniere position !
	$TBL['forums']       = 'ga_forums'    ;

  	/**
	* define retour a la ligne...
	*/
    define('CRLF',"\r\n")	;

	/**
	* define globaux....
	*/
	define('AUCUN', -1)	;

	/**
	* Liste des menus ADMIN
	*/
	define('MENU_ACCEUIL',		0)	;
	define('MENU_SOCIETE',		1)	;
	define('MENU_GROUPE',		2)	;
	define('MENU_STAGIAIRE',	3)	;
	define('MENU_AUTEUR',		4)	;
	define('MENU_TUTEUR',		5)	;
	define('MENU_ADMIN',		6)	;
	define('MENU_MODULE',		7)	;
	define('MENU_INSCRIPTION',	8)	;
	define('MENU_SGROUPE',		9)	;

	define('MENU_OPTION',		98)	;	
	define('MENU_PHORUM',		99)	;
	define('MENU_BDD',			100);

	/**
	* Liste des pages ADMIN
	*/	
	$PAGE_ADMIN = array( "accueil.php","societe.php","groupe.php","stagiaire.php",
					  	 "auteur.php","tuteur.php","admin.php","module.php",
					  	 "inscription.php"	);
	/**
	* Permission d'acces aux pages admin par le tuteur.
	*/	
	$PAGE_ADMIN_TUTEUR = array(true,false,true,true,false,false,false,true,true);

	/**
	* Liste des reponses de la partie  Admin
	*/	
	define('ERROR',			   	0);	
	define('OK',			   	1);	
	define('ERR_LOGIN_PWD',		2);
	define('ERR_EMAIL_INVALID',	3);
	define('ERR_EMAIL_USED',	4);	

	/**
	* Liste des menus STAGIAIRE/TUTEUR
	*/
	define('MENU_EMPTY',	0)	;	
	define('MENU_TDB',		1)	;
	define('MENU_WM',		2)	;
	define('MENU_FORUM',	3)	;
	define('MENU_CHAT',		4)	;
	define('MENU_DOC',		5)	;
	define('MENU_AIDE',		6)	;

	/**
	* Liste des commandes pour la page p_filemanager.php
	*/
	define('IMG_RIGHT',	'<img alt="" align="absmiddle" src="'.HTTP_IMAGES.'right.gif" border="0">') 		;
	define('IMG_MODIF',	'<img alt="'.$ad_texte['modifier'].'" align="absmiddle" src="'.HTTP_IMAGES.'modifier.gif" border="0">') 	;
	define('IMG_DEL',	'<img alt="'.$ad_texte['supprimer'].'" align="absmiddle" src="'.HTTP_IMAGES.'supprimer.gif" border="0">') 	;
	define('IMG_DOWN',	'<img alt="'.$ad_texte['dec'].'" align="absmiddle" src="'.HTTP_IMAGES.'fleche_bas.gif" border="0">') 	;
	define('IMG_UP',	'<img alt="'.$ad_texte['asc'].'" align="absmiddle" src="'.HTTP_IMAGES.'fleche_haut.gif" border="0">') 	;	
	define('IMG_ENREG',	'<img alt="" align="absmiddle" src="'.HTTP_IMAGES.'enregistrer.gif" border="0">')	;
	define('IMG_FILE',	'<img alt="'.$ad_texte['selfichier'].'" align="absmiddle" src="'.HTTP_IMAGES.'explorer.gif" border="0">')		;
	define('IMG_ADD',	'<img alt="'.$ad_texte['ajouter'].'" align="absmiddle" src="'.HTTP_IMAGES.'ajouter.gif" border="0"> ')		;
	define('IMG_QUIZZ',	'<img alt="" align="absmiddle" src="'.HTTP_IMAGES.'qtodo.gif" border="0">')		;
	define('IMG_DOC',	'<img alt="" align="absmiddle" src="'.HTTP_IMAGES.'dtodo.gif" border="0">')		;
	define('IMG_GRP',	'<img alt="" align="absmiddle" src="'.HTTP_IMAGES.'groupe.gif" border="0">') ;

	define('MENU_IMG_QUIT',	'<img alt="'.$st_menu['quit'].'" align="absmiddle" src="'.HTTP_IMAGES.'menu/quitter.gif" border="0">') 	;
	define('MENU_IMG_TDB',	'<img alt="'.$st_menu['tdb'].'" align="absmiddle" src="'.HTTP_IMAGES.'menu/tdb.gif" border="0">') 	;
	define('MENU_IMG_MESS',	'<img alt="'.$st_menu['mess'].'" align="absmiddle" src="'.HTTP_IMAGES.'menu/messagerie.gif" border="0">') 	;
	define('MENU_IMG_FORUM',	'<img alt="'.$st_menu['forum'].'" align="absmiddle" src="'.HTTP_IMAGES.'menu/forum.gif" border="0">') 	;
	define('MENU_IMG_CHAT',	'<img alt="'.$st_menu['chat'].'" align="absmiddle" src="'.HTTP_IMAGES.'menu/chat.gif" border="0">') 	;
	define('MENU_IMG_DOC',	'<img alt="'.$st_menu['doc'].'" align="absmiddle" src="'.HTTP_IMAGES.'menu/documents.gif" border="0">') 	;
	define('MENU_IMG_AIDE',	'<img alt="'.$st_menu['aide'].'" align="absmiddle" src="'.HTTP_IMAGES.'menu/aide.gif" border="0">') 	;
	define('MENU_IMG_EVALX',	'<img alt="'.$st_titre['rapeval'].'" align="absmiddle" src="'.HTTP_IMAGES.'evalanx.gif" border="0">') 	;
		
	/**
	* Liste des commandes pour la page p_filemanager.php
	*/
	define('CMD_ALL',				0)	; // -> Lister a partir de la racine
	define('CMD_DIR_FORMATION',		1)	; // -> lister les repertoires formation + selection
	define('CMD_FILE_FORMATION',	2)	; // -> Lister les fichiers + selection
	define('CMD_LIST_FORMATION',	3)	; // -> lister les fichiers formation 
	define('CMD_FILE_CV',			4)	; // -> lister les fichiers cv 

	/**
	* Liste des commandes pour le WebMail
	*/
	define('CMD_WM_INBOX',	0)	; // -> Lister les messages envoyés
	define('CMD_WM_OUTBOX',	1)	; // -> lister les messages recus
	define('CMD_WM_POST',	2)	; // -> poster un message

	/**
	* Liste des commandes pour la Zone de Document
	*/
	define('CMD_ZD_LIST',	0)	; // -> Lister les messages envoyés
	define('CMD_ZD_POST',	1)	; // -> lister les messages recus

	/**
	* Liste des commandes pour les evaluations
	*/
	define('MENU_EVX_MNG',	1)	; // -> Gestion des evaluations
	define('MENU_EVX_ASS',	2)	; // -> Assignation des evaluations
	define('MENU_EVX_RPT',	3)	; // -> rapport des evaluations

	/**
	* Liste des profils geres par Ganesha
	*/
	define('STAGIAIRE',0);
	define('AUTEUR'   ,1); // Not used !!!
	define('ADMIN'    ,2);
	define('TUTEUR'   ,3);

	/**
	* definition des normes
	*/ 
	define('GANESHA',0);
	define('AICC'   ,1); 
	define('SCORM'	,2);

	/**
	* definition des types de chapitre
	*/
	define('DOCUMENT'	,0);
	define('QUIZZ' 		,1); 
	define('TITRE'		,2);	

	/**
	* definition des exports
	*/
	define('EXPORT_XLS'	,'xls');
	define('EXPORT_XML'	,'xml'); 

	/**
	* definition des diffrents types pour l'envoi du login/pwd
	*/	
	define('MAIL_LOGIN_PASSWORD',0);
	define('MAIL_TUTEUR'		,1);
	define('MAIL_STAGIAIRE'		,2) ;
	define('MAIL_ADMIN'			,3) ;
	define('MAIL_INSCRIPTION'	,4) ;	

	/**
	* definition des constantes utilisees pour la gestion des normes
	*/	
	define('SUCCESSFUL',			0)	;
	define('INVALID_COMMAND',		1)	;
	define('INVALID_AU_PASSWORD',	2)	;
	define('INVALID_SESSION_ID',	3)	;
	
	define('NOT_FOUND',		0)	;
	define('PASSED',		1)	;
	define('COMPLETED',		2)	;
	define('FAILED',		3)	;
	define('INCOMPLETE',	4)	;
	define('BROWSED',		5)	;
	define('NOT_ATTEMPTED',	6)	;
	
	$PASSED			= array( "PASSED", "P", "PASS" )		;
	$COMPLETED		= array( "COMPLETED", "C" )				;
	$FAILED			= array( "FAILED", "F", "FAIL" )		;
	$INCOMPLETE		= array( "INCOMPLETE", "I" )			;
	$BROWSED		= array( "BROWSED", "B" )				;
	$NOT_ATTEMPTED	= array( "NOT ATTEMPTED", "N", "NA" )	;	
	
	/**
	* Permet d'afficher tous les warning lors du developpement
	* Beta / RC -> true
	* Release -> false
	*/	
	define('DEVELOPPEMENT',false);
	
	// .htm;.php...				-> "text/html"		!!! Config du serveur !!!
	// .sql;.php3;.php4;.txt...	-> text/plain 
	// .csv;.exe;.rpm;.bz2...	-> application/octet-stream 
	// .gz;.tar...				-> application/x-gzip-compressed 
	// .zip;...					-> application/x-zip-compressed
	// .css...					-> text/css 

	$FICHIER_AUTORIZ	= Array("image/gif",
								"image/pjpeg",
								"image/x-png",
								"image/bmp",
								"application/vnd.ms-excel",
								"application/vnd.ms-powerpoint",
								"application/pdf",
								"application/msword",
								"application/x-gzip-compressed",
								"application/x-zip-compressed",
								"application/x-shockwave-flash");


?>